### Property

# Gcr Prompt:caller-window

#### Declaration

    property caller-window: utf8 [ read, write, construct ]

#### Description [src]

The string handle of the caller’s window.

The caller window indicates to the prompt which window is prompting the user. The prompt may choose to ignore this information or use it in whatever way it sees fit.

In X11, this will be a stringified version of the XWindow handle; in Wayland this is the result of an export using the XDG foreign protocol.

Type:`gchar*`

Default value | NULL
Getter method | `gcr_prompt_get_caller_window()`
Setter method | `gcr_prompt_set_caller_window()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no